package com.cyksj.common.util;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @author zwhui
 * @date 2023/10/12 18:06
 */
public class TimeUtil {
    /**
     * 差值日期
     */
    public static String getDifferenceTime(Date date){
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd");
        long span = (System.currentTimeMillis() - date.getTime()) / 1000;
        //比当前时间还大
        if(span < 0){
            return format.format(date);
        }else if(span/(60*60*24*30) > 0){
            //大于30天直接显示年月日
            return format.format(date);
        }else if(span/(60*60*24*7) > 0){
            return  span/(60*60*24*7) +"周前";
        }else if(span/(60*60*24) > 0){
            return span/(60*60*24) +"天前";
        }else if(span/(60*60) > 0 ){
            return span/(60*60) +"小时前";
        }else if(span/(60) > 0){
            return span/(60) +"分钟前";
        }

        return "刚刚";
    }
}
